# Uses of Class
com.sun.net.httpserver.Authenticator

Packages that use Authenticator
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of Authenticator in com.sun.net.httpserver

Subclasses of Authenticator in com.sun.net.httpserver
Modifier and Type
Class
Description
`class`
`BasicAuthenticator`
BasicAuthenticator provides an implementation of HTTP Basic authentication.
Methods in com.sun.net.httpserver that return Authenticator
Modifier and Type
Method
Description
`abstract Authenticator`
HttpContext.`getAuthenticator()`
Returns the currently set `Authenticator` for this context if one exists.
`abstract Authenticator`
HttpContext.`setAuthenticator(Authenticator auth)`
Sets the `Authenticator` for this `HttpContext`.
Methods in com.sun.net.httpserver with parameters of type Authenticator
Modifier and Type
Method
Description
`abstract Authenticator`
HttpContext.`setAuthenticator(Authenticator auth)`
Sets the `Authenticator` for this `HttpContext`.